<template>
  <div class="card">
  <h3>Create new User</h3>
    <div class="formgrid grid">

      <div class="field col-12 md:col-6">
        <label for="nameInput">Name: </label>
        <InputText id="nameInput" class="w-full" type="text" v-model="userData.name" placeholder="John Doe" />
      </div>




    </div>
      <Button @click="cancelCreation" label="Cancel" class="p-button-warning"/>
      <Button @click="createUser" label="Create"/>
  </div>
</template>

<script>
import { API } from 'aws-amplify';
import { createUser } from '../graphql/mutations';

export default {
  name: 'CreateUserForm',
  data() {
    return {
      userData: {
        name: '',
      }
    }
  },
  emits: [
    'requestToggleDisplay'
  ],
  methods: {
    async createUser(){
      // ToDo gerer validations des données
      const userPayload = this.userData;
      await API.graphql({
        query: createUser,
        variables: {input: userPayload}
      });
      this.$emit('requestToggleDisplay');
    },
    cancelCreation(){
      this.userData = {
        name: '',
      };
      this.$emit('requestToggleDisplay')
    },
    
  }
}
</script>